| Home | Libraries | People | FAQ | More

##### end(rtree<...> const &)

Returns the iterator pointing at the end of the rtree values range.

###### Description

This method returns the iterator which may be compared with the iterator returned by begin() in order to check if the iteration has ended.

###### Synopsis

    template<typename Value,
             typename Parameters,
             typename IndexableGetter,
             typename EqualTo,
             typename Allocator>
    rtree< Value, Parameters, IndexableGetter, EqualTo, Allocator >::const_iterator end(rtree< Value, Parameters, IndexableGetter, EqualTo, Allocator > const & tree)

###### Returns

The iterator pointing at the end of the range.

###### Example

    std::for_each(bgi::begin(tree), bgi::end(tree), do_something());
    // the same as
    std::for_each(boost::begin(tree), boost::end(tree), do_something());

###### Iterator category

ForwardIterator

###### Throws

Nothing.

| Warning
The modification of the rtree may invalidate the iterators.